Void entitlements

View as Markdown
Voids multiple entitlements. Entitlements are voided independently, so one entitlement failing does not stop the others from being voided — check each entry in `results` for an `error` field to see which succeeded. If any entitlement fails, the response status is `207` instead of `200`. For each entitlement voided: - `live` is updated to `false` - `expiration` is updated to the time of execution - `grace_period` is updated to `0` - An `EntitlementTransaction` is created - An `entitlement.entitlements_voided` event is triggered upon successful modification Requires [Application API Scope](/api-reference/authentication#application-api-scope) authentication.

Request

This endpoint expects an object.
entitlement_public_idslist of stringsRequired

List of entitlement public_ids to void

Response

resultsmap from strings to objects

Void results, keyed by entitlement public_id.